Attean::API::AggregateExpression(3pm)

NAME
Attean::API::AggregateExpression - Role representing an aggregate expression tree

VERSION
This document describes Attean::API::AggregateExpression version 0.033

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role representing aggregate expressions.

ROLES
This role consumes Attean::API::DirectedAcyclicGraph.

REQUIRED METHODS
Classes consuming this role must provide the following methods:

"operator()"
    The name of the aggregate operator.

"scalar_vars()"
    A HASH reference of scalar variables. The only scalar variable defined for SPARQL 1.1 is 'seperator', a string separator used with the GROUP_CONCAT aggregate.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.